Bug 244058 - kernel dm: allow offline devices
Summary: kernel dm: allow offline devices
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.5
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Milan Broz
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-13 15:08 UTC by Milan Broz
Modified: 2013-03-01 04:05 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:28:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0791 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 6 2007-11-14 18:25:55 UTC

Description Milan Broz 2007-06-13 15:08:39 UTC
+++ This bug was initially created as a clone of Bug #239655 +++
RHEL4 clone

Allow check_device_area in dm-table.c to succeed if a device has an i_size of zero.
This addresses an issue seen on DASD devices setting up a multipath table for
paths in online and offline state.

Fixed upstream in this patch
http://www.kernel.org/pub/linux/kernel/people/agk/patches/2.6/editing/dm-allow-offline-devices.patch

-- Additional comment from mbroz@redhat.com on 2007-05-10 12:03 EST --
Test case:
simulate zero size device by dm device without table,
[second "dmsetup create" command will fail without patch]

dmsetup create --notable test0
echo 0 100 linear /dev/mapper/test0 0 | dmsetup create test1

Comment 1 RHEL Product and Program Management 2007-06-13 16:05:17 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 RHEL Product and Program Management 2007-06-14 17:52:09 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 4 Jason Baron 2007-07-03 22:38:50 UTC
committed in stream U6 build 55.16. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 7 errata-xmlrpc 2007-11-15 16:28:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html



Note You need to log in before you can comment on or make changes to this bug.